Bug 614 - when a user accesses smbpasswd using telnet, won't accept change
when a user accesses smbpasswd using telnet, won't accept change
Status: RESOLVED WONTFIX
Product: Samba 2.2
Classification: Unclassified
Component: User/Group Accounts
2.2.8a
All All
: P3 critical
: ---
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-13 19:03 UTC by Peter Sanders
Modified: 2005-11-14 09:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Sanders 2003-10-13 19:03:21 UTC
G'day - I've been using Samba forever, it seems and now I've got a problem.

The response from smbpasswd when a USER tries to change a password is:

machine 127.0.0.1 rejected the password change: Error was : RAP86: The specified
 password is invalid.
Failed to change password for sandersp

However the old password offered is the one which successfully connects from
Win98 or Win2000 clients. Naturally, attempts to use the password-changing
dialog on the client also fail.

root can successfully change a password to anything desired using the
command line  /usr/local/samba/bin/smbpasword username

The server is installed on a Slackware Linux 2.4.18 machine

The following is a response to gcc -v
Reading specs from /usr/lib/gcc-lib/i386-slackware-linux/3.2.2/specs
Configured with: ../gcc-3.2.2/configure --prefix=/usr --enable-shared --enable-t
hreads=posix --enable-__cxa_atexit --disable-checking --with-gnu-ld --verbose --
target=i386-slackware-linux --host=i386-slackware-linux
Thread model: posix
gcc version 3.2.2
==============================================================================
THE FOLLOWING IS A LOG OF THE OUTPUT FROM /usr/src/samba/source/configure
loading cache ./config.cache
checking for gcc... (cached) gcc
checking whether the C compiler (gcc -O  ) works... yes
checking whether the C compiler (gcc -O  ) is a cross-compiler... no
checking whether we are using GNU C... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for a BSD compatible install... (cached) /usr/bin/ginstall -c
checking for gawk... (cached) gawk
checking if the linker (ld) is GNU ld... (cached) yes
checking for passwd... (cached) /usr/bin/passwd
checking whether gcc and cc understand -c and -o together... (cached) yes
checking that the C compiler understands volatile... (cached) yes
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking config.cache system type... same
checking for LFS support... yes
checking for inline... (cached) inline
checking how to run the C preprocessor... (cached) gcc -E
checking for ANSI C header files... (cached) yes
checking for dirent.h that defines DIR... (cached) yes
checking for opendir in -ldir... (cached) no
checking whether time.h and sys/time.h may both be included... (cached) yes
checking for sys/wait.h that is POSIX.1 compatible... (cached) yes
checking for arpa/inet.h... (cached) yes
checking for sys/fcntl.h... (cached) yes
checking for sys/select.h... (cached) yes
checking for fcntl.h... (cached) yes
checking for sys/time.h... (cached) yes
checking for sys/unistd.h... (cached) yes
checking for unistd.h... (cached) yes
checking for utime.h... (cached) yes
checking for grp.h... (cached) yes
checking for sys/id.h... (cached) no
checking for limits.h... (cached) yes
checking for memory.h... (cached) yes
checking for net/if.h... (cached) yes
checking for compat.h... (cached) no
checking for rpc/rpc.h... (cached) yes
checking for rpcsvc/nis.h... (cached) yes
checking for rpcsvc/yp_prot.h... (cached) yes
checking for rpcsvc/ypclnt.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking for syslog.h... (cached) yes
checking for sys/file.h... (cached) yes
checking for sys/param.h... (cached) yes
checking for ctype.h... (cached) yes
checking for sys/wait.h... (cached) yes
checking for sys/resource.h... (cached) yes
checking for sys/ioctl.h... (cached) yes
checking for sys/ipc.h... (cached) yes
checking for sys/mode.h... (cached) no
checking for sys/mman.h... (cached) yes
checking for sys/filio.h... (cached) no
checking for sys/priv.h... (cached) no
checking for sys/shm.h... (cached) yes
checking for sys/socket.h... (cached) yes
checking for syslog.h... (cached) yes
checking for sys/syslog.h... (cached) yes
checking for sys/mount.h... (cached) yes
checking for sys/vfs.h... (cached) yes
checking for sys/fs/s5param.h... (cached) no
checking for sys/filsys.h... (cached) no
checking for termios.h... (cached) yes
checking for termio.h... (cached) yes
checking for sys/termio.h... (cached) no
checking for sys/statfs.h... (cached) yes
checking for sys/dustat.h... (cached) no
checking for sys/statvfs.h... (cached) yes
checking for stdarg.h... (cached) yes
checking for sys/sockio.h... (cached) no
checking for security/pam_modules.h... (cached) no
checking for security/_pam_macros.h... (cached) no
checking for dlfcn.h... (cached) yes
checking for synch.h... (cached) no
checking for pthread.h... (cached) yes
checking for nsswitch.h... (cached) no
checking for shadow.h... (cached) yes
checking for netinet/ip.h... (cached) yes
checking for netinet/tcp.h... (cached) yes
checking for netinet/in_systm.h... (cached) yes
checking for netinet/in_ip.h... (cached) no
checking for nss.h... (cached) yes
checking for nss_common.h... (cached) no
checking for ns_api.h... (cached) no
checking for sys/security.h... (cached) no
checking for security/pam_appl.h... (cached) no
checking for security/pam_modules.h... (cached) no
checking for stropts.h... (cached) yes
checking for poll.h... (cached) yes
checking for sys/capability.h... (cached) no
checking for syscall.h... (cached) yes
checking for sys/syscall.h... (cached) yes
checking for sys/acl.h... (cached) no
checking for sys/cdefs.h... (cached) yes
checking for glob.h... (cached) yes
checking for utmp.h... (cached) yes
checking for utmpx.h... (cached) yes
checking for lastlog.h... (cached) yes
checking for sys/fs/vx_quota.h... (cached) no
checking for linux/xqm.h... (cached) no
checking size of int... (cached) 4
checking size of long... (cached) 4
checking size of short... (cached) 2
checking for working const... (cached) yes
checking for inline... (cached) inline
checking whether byte ordering is bigendian... (cached) no
checking whether char is unsigned... (cached) no
checking return type of signal handlers... (cached) void
checking for uid_t in sys/types.h... (cached) yes
checking for mode_t... (cached) yes
checking for off_t... (cached) yes
checking for size_t... (cached) yes
checking for pid_t... (cached) yes
checking for st_rdev in struct stat... (cached) yes
checking for d_off in dirent... (cached) yes
checking for ino_t... (cached) yes
checking for loff_t... (cached) yes
checking for offset_t... (cached) no
checking for ssize_t... (cached) yes
checking for wchar_t... (cached) yes
checking for cups-config... no
checking for dlopen... (cached) no
checking for dlopen in -ldl... (cached) yes
checking for immediate structures... (cached) yes
checking for unix domain sockets... (cached) yes
checking for socklen_t type... (cached) yes
checking for sig_atomic_t type... (cached) yes
checking for errno declaration... (cached) yes
checking for setresuid declaration... (cached) no
checking for setresgid declaration... (cached) no
checking for asprintf declaration... (cached) yes
checking for vasprintf declaration... (cached) yes
checking for vsnprintf declaration... (cached) yes
checking for snprintf declaration... (cached) yes
checking for real setresuid... (cached) yes
checking for real setresgid... (cached) yes
checking for 8-bit clean memcmp... (cached) yes
checking whether to use readline... yes
checking for readline.h... (cached) no
checking for history.h... (cached) no
checking for readline/readline.h... (cached) yes
checking for readline/history.h... (cached) yes
checking for readline.h... (cached) no
checking for readline/readline.h... (cached) yes
checking for tgetent in -lncurses... (cached) yes
checking for rl_callback_handler_install in -lreadline... (cached) yes
checking for connect... (cached) yes
checking for yp_get_default_domain... (cached) no
checking for yp_get_default_domain in -lnsl... (cached) yes
checking for execl... (cached) yes
checking for dlopen... (cached) no
checking for dlclose... (cached) yes
checking for dlsym... (cached) yes
checking for dlerror... (cached) yes
checking for waitpid... (cached) yes
checking for getcwd... (cached) yes
checking for strdup... (cached) yes
checking for strndup... (cached) yes
checking for strnlen... (cached) yes
checking for strtoul... (cached) yes
checking for strerror... (cached) yes
checking for chown... (cached) yes
checking for fchown... (cached) yes
checking for chmod... (cached) yes
checking for fchmod... (cached) yes
checking for chroot... (cached) yes
checking for link... (cached) yes
checking for fstat... (cached) yes
checking for strchr... (cached) yes
checking for utime... (cached) yes
checking for utimes... (cached) yes
checking for getrlimit... (cached) yes
checking for fsync... (cached) yes
checking for bzero... (cached) yes
checking for memset... (cached) yes
checking for strlcpy... (cached) no
checking for strlcat... (cached) no
checking for setpgid... (cached) yes
checking for mknod... (cached) yes
checking for mknod64... (cached) no
checking for memmove... (cached) yes
checking for vsnprintf... (cached) yes
checking for snprintf... (cached) yes
checking for asprintf... (cached) yes
checking for vasprintf... (cached) yes
checking for setsid... (cached) yes
checking for glob... (cached) yes
checking for strpbrk... (cached) yes
checking for pipe... (cached) yes
checking for crypt16... (cached) no
checking for getauthuid... (cached) no
checking for strftime... (cached) yes
checking for sigprocmask... (cached) yes
checking for sigblock... (cached) yes
checking for sigaction... (cached) yes
checking for sigset... (cached) yes
checking for innetgr... (cached) yes
checking for setnetgrent... (cached) yes
checking for getnetgrent... (cached) yes
checking for endnetgrent... (cached) yes
checking for initgroups... (cached) yes
checking for select... (cached) yes
checking for poll... (cached) yes
checking for rdchk... (cached) no
checking for getgrnam... (cached) yes
checking for getgrent... (cached) yes
checking for pathconf... (cached) yes
checking for realpath... (cached) yes
checking for setpriv... (cached) no
checking for setgidx... (cached) no
checking for setuidx... (cached) no
checking for setgroups... (cached) yes
checking for sysconf... (cached) yes
checking for mktime... (cached) yes
checking for rename... (cached) yes
checking for ftruncate... (cached) yes
checking for stat64... (cached) yes
checking for fstat64... (cached) yes
checking for lstat64... (cached) yes
checking for fopen64... (cached) yes
checking for atexit... (cached) yes
checking for grantpt... (cached) yes
checking for dup2... (cached) yes
checking for lseek64... (cached) yes
checking for ftruncate64... (cached) yes
checking for readdir64... (cached) yes
checking for fseek64... (cached) no
checking for fseeko64... (cached) yes
checking for ftell64... (cached) no
checking for ftello64... (cached) yes
checking for setluid... (cached) no
checking for getpwanam... (cached) no
checking for setlinebuf... (cached) yes
checking for srandom... (cached) yes
checking for random... (cached) yes
checking for srand... (cached) yes
checking for rand... (cached) yes
checking for setenv... (cached) yes
checking for usleep... (cached) yes
checking for strcasecmp... (cached) yes
checking for fcvt... (cached) yes
checking for fcvtl... (cached) no
checking for symlink... (cached) yes
checking for readlink... (cached) yes
checking for syslog... (cached) yes
checking for vsyslog... (cached) yes
checking for syscall... (cached) yes
checking for _dup... (cached) no
checking for _dup2... (cached) no
checking for _opendir... (cached) no
checking for _readdir... (cached) no
checking for _seekdir... (cached) no
checking for _telldir... (cached) no
checking for _closedir... (cached) no
checking for __dup... (cached) no
checking for __dup2... (cached) yes
checking for __opendir... (cached) no
checking for __readdir... (cached) no
checking for __seekdir... (cached) no
checking for __telldir... (cached) no
checking for __closedir... (cached) no
checking for __getcwd... (cached) no
checking for _getcwd... (cached) no
checking for __xstat... (cached) yes
checking for __fxstat... (cached) yes
checking for __lxstat... (cached) yes
checking for _stat... (cached) no
checking for _lstat... (cached) no
checking for _fstat... (cached) no
checking for __stat... (cached) yes
checking for __lstat... (cached) yes
checking for __fstat... (cached) yes
checking for _acl... (cached) no
checking for __acl... (cached) no
checking for _facl... (cached) no
checking for __facl... (cached) no
checking for _open... (cached) no
checking for __open... (cached) yes
checking for _chdir... (cached) no
checking for __chdir... (cached) no
checking for _close... (cached) no
checking for __close... (cached) yes
checking for _fchdir... (cached) no
checking for __fchdir... (cached) no
checking for _fcntl... (cached) no
checking for __fcntl... (cached) yes
checking for getdents... (cached) no
checking for _getdents... (cached) no
checking for __getdents... (cached) no
checking for _lseek... (cached) no
checking for __lseek... (cached) yes
checking for _read... (cached) no
checking for __read... (cached) yes
checking for _write... (cached) no
checking for __write... (cached) yes
checking for _fork... (cached) no
checking for __fork... (cached) yes
checking for _stat64... (cached) no
checking for __stat64... (cached) no
checking for _fstat64... (cached) no
checking for __fstat64... (cached) no
checking for _lstat64... (cached) no
checking for __lstat64... (cached) no
checking for __sys_llseek... (cached) no
checking for llseek... (cached) yes
checking for _llseek... (cached) no
checking for __llseek... (cached) no
checking for readdir64... (cached) yes
checking for _readdir64... (cached) no
checking for __readdir64... (cached) no
checking for pread... (cached) yes
checking for _pread... (cached) no
checking for __pread... (cached) no
checking for pread64... (cached) yes
checking for _pread64... (cached) no
checking for __pread64... (cached) yes
checking for pwrite... (cached) yes
checking for _pwrite... (cached) no
checking for __pwrite... (cached) no
checking for pwrite64... (cached) yes
checking for _pwrite64... (cached) no
checking for __pwrite64... (cached) yes
checking for open64... (cached) yes
checking for _open64... (cached) no
checking for __open64... (cached) yes
checking for creat64... (cached) yes
checking for putprpwnam in -lsecurity... (cached) no
checking for putprpwnam... (cached) no
checking for putprpwnam in -lsec... (cached) no
checking for putprpwnam... (cached) no
checking for set_auth_parameters in -lsecurity... (cached) no
checking for set_auth_parameters... (cached) no
checking for set_auth_parameters in -lsec... (cached) no
checking for set_auth_parameters... (cached) no
checking for getspnam in -lgen... (cached) no
checking for getspnam... (cached) yes
checking for getspnam in -lsecurity... (cached) no
checking for getspnam... (cached) yes
checking for getspnam in -lsec... (cached) no
checking for getspnam... (cached) yes
checking for bigcrypt in -lsecurity... (cached) no
checking for bigcrypt... (cached) no
checking for bigcrypt in -lsec... (cached) no
checking for bigcrypt... (cached) no
checking for getprpwnam in -lsecurity... (cached) no
checking for getprpwnam... (cached) no
checking for getprpwnam in -lsec... (cached) no
checking for getprpwnam... (cached) no
checking ability to build shared libraries... true
checking linker flags for shared libraries... -shared
checking compiler flags for position-independent code... 
checking for long long... (cached) yes
checking for LL suffix on long long integers... (cached) yes
checking for 64 bit off_t... (cached) yes
checking for off64_t... (cached) no
checking for 64 bit ino_t... (cached) yes
checking for ino64_t... (cached) no
checking for dev64_t... (cached) no
checking for struct dirent64... (cached) yes
checking for major macro... (cached) yes
checking for minor macro... (cached) yes
checking for makedev macro... (cached) yes
checking for unsigned char... (cached) no
checking for sin_len in sock... (cached) no
checking whether seekdir returns void... (cached) yes
checking for __FILE__ macro... (cached) yes
checking for __FUNCTION__ macro... (cached) yes
checking if gettimeofday takes tz argument... (cached) yes
checking for __va_copy... (cached) yes
checking for C99 vsnprintf... (cached) yes
checking for broken readdir... (cached) no
checking for utimbuf... (cached) yes
checking for pututline... (cached) yes
checking for pututxline... (cached) yes
checking for updwtmp... (cached) yes
checking for updwtmpx... (cached) yes
checking for getutmpx... (cached) yes
checking for ut_name in utmp... (cached) yes
checking for ut_user in utmp... (cached) yes
checking for ut_id in utmp... (cached) yes
checking for ut_host in utmp... (cached) yes
checking for ut_time in utmp... (cached) yes
checking for ut_tv in utmp... (cached) yes
checking for ut_type in utmp... (cached) yes
checking for ut_pid in utmp... (cached) yes
checking for ut_exit in utmp... (cached) yes
checking for ut_addr in utmp... (cached) yes
checking whether pututline returns pointer... (cached) yes
checking for ut_syslen in utmpx... (cached) no
checking for Linux kernel oplocks... (cached) yes
checking for kernel change notify support... (cached) yes
checking for kernel share modes... (cached) yes
checking for IRIX kernel oplock type definitions... (cached) no
checking for irix specific capabilities... (cached) no
checking for int16 typedef included by rpc/rpc.h... (cached) no
checking for uint16 typedef included by rpc/rpc.h... (cached) no
checking for int32 typedef included by rpc/rpc.h... (cached) no
checking for uint32 typedef included by rpc/rpc.h... (cached) no
checking for conflicting AUTH_ERROR define in rpc/rpc.h... (cached) no
checking for test routines... yes
checking for ftruncate extend... (cached) yes
checking for broken getgroups... (cached) no
checking whether getpass should be replaced... (cached) yes
checking for broken inet_ntoa... (cached) no
checking for secure mkstemp... (cached) yes
checking for sysconf(_SC_NGROUPS_MAX)... (cached) yes
checking for root... (cached) yes
checking for iface AIX... (cached) no
checking for iface ifconf... (cached) yes
checking for setresuid... (cached) yes
checking for working mmap... (cached) yes
checking for ftruncate needs root... (cached) no
checking for fcntl locking... (cached) yes
checking for broken (glibc2.1/x86) 64 bit fcntl locking... (cached) no
checking for 64 bit fcntl locking... (cached) yes
checking for st_blocks in struct stat... (cached) yes
checking for st_blksize in struct stat... (cached) yes
checking for broken RedHat 7.2 system header files... (cached) no
checking for broken nisplus include files... (cached) yes
checking whether to use smbwrapper... no
checking whether to use AFS... no
checking whether to use DCE/DFS auth... no
checking whether to use Kerberos IV... no
checking whether to use Kerberos 5... no
checking whether to use AUTOMOUNT... no
checking whether to use SMBMOUNT... no
checking whether to use PAM password database... no
checking for pam_get_data in -lpam... (cached) no
checking whether to use pam_smbpass... no
checking for crypt... (cached) no
checking for crypt in -lcrypt... (cached) yes
checking for a crypt that needs truncated salt... (cached) no
checking whether to use TDB SAM database... no
checking whether to use LDAP SAM database... no
checking whether to use NISPLUS SAM database... no
checking whether to use traditional smbpasswd file... yes
checking whether to use NISPLUS_HOME... no
checking whether to use SSL... no
checking whether to use syslog logging... no
checking whether to use profiling... no
checking whether to support disk-quotas... no
checking whether to support utmp accounting... no
checking whether to support Microsoft Dfs... no
checking whether to build the libsmbclient shared library... no
checking how to get filesystem space usage
checking statvfs64 function (SVR4)... (cached) yes
checking if large file support can be enabled... yes
checking whether to support ACLs... no
checking whether to check for support sendfile... no
checking whether to build winbind... yes
checking whether to enable winbind auth challenge/response code... no
checking whether to enable winbind ldap hack... no
checking whether or not getgroups returns EGID too many times... (cached) no
checking whether struct passwd has pw_comment... (cached) no
checking whether struct passwd has pw_age... (cached) no
checking for poptGetContext in -lpopt... (cached) yes
checking whether to use included popt... no
checking configure summary... yes
creating ./config.status
creating include/stamp-h
creating Makefile
creating script/findsmb
creating include/config.h
include/config.h is unchanged
==========================================================================
THE FOLLOWING IS A CAPTURE FROM MAKE, VIZ: make clean; make &>make.log
Using FLAGS =  -O   -Iinclude -I./include -I./ubiqx -I./smbwrapper -
D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE  -
DLOGFILEBASE="/usr/local/samba/var" -
DCONFIGFILE="/usr/local/samba/lib/smb.conf" -
DLMHOSTSFILE="/usr/local/samba/lib/lmhosts"   -
DSWATDIR="/usr/local/samba/swat" -DSBINDIR="/usr/local/samba/bin" -
DLOCKDIR="/usr/local/samba/var/locks" -
DCODEPAGEDIR="/usr/local/samba/lib/codepages" -
DDRIVERFILE="/usr/local/samba/lib/printers.def" -
DBINDIR="/usr/local/samba/bin" -DPIDDIR="/usr/local/samba/var/locks" -
DLIBDIR="/usr/local/samba/lib" -DHAVE_INCLUDES_H -
DPASSWD_PROGRAM="/usr/bin/passwd" -
DSMB_PASSWD_FILE="/usr/local/samba/private/smbpasswd" -
DTDB_PASSWD_FILE="/usr/local/samba/private/smbpasswd.tdb"
Using FLAGS32 =  -O   -Iinclude -I./include -I./ubiqx -I./smbwrapper -
D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE  -
DLOGFILEBASE="/usr/local/samba/var" -
DCONFIGFILE="/usr/local/samba/lib/smb.conf" -
DLMHOSTSFILE="/usr/local/samba/lib/lmhosts"   -
DSWATDIR="/usr/local/samba/swat" -DSBINDIR="/usr/local/samba/bin" -
DLOCKDIR="/usr/local/samba/var/locks" -
DCODEPAGEDIR="/usr/local/samba/lib/codepages" -
DDRIVERFILE="/usr/local/samba/lib/printers.def" -
DBINDIR="/usr/local/samba/bin" -DPIDDIR="/usr/local/samba/var/locks" -
DLIBDIR="/usr/local/samba/lib" -DHAVE_INCLUDES_H -
DPASSWD_PROGRAM="/usr/bin/passwd" -
DSMB_PASSWD_FILE="/usr/local/samba/private/smbpasswd" -
DTDB_PASSWD_FILE="/usr/local/samba/private/smbpasswd.tdb"
Using LIBS = -ldl -lnsl -lcrypt -lpopt
Compiling smbd/server.c
Compiling smbd/files.c
Compiling smbd/chgpasswd.c
Compiling smbd/connection.c
Compiling smbd/utmp.c
Compiling smbd/session.c
Compiling smbd/dfree.c
Compiling smbd/dir.c
Compiling smbd/password.c
Compiling smbd/conn.c
Compiling smbd/fileio.c
Compiling smbd/ipc.c
Compiling smbd/lanman.c
Compiling smbd/mangle.c
Compiling smbd/mangle_hash2.c
Compiling smbd/mangle_hash.c
Compiling smbd/mangle_map.c
Compiling smbd/negprot.c
Compiling smbd/message.c
Compiling smbd/nttrans.c
Compiling smbd/pipes.c
Compiling smbd/reply.c
Compiling smbd/trans2.c
Compiling smbd/uid.c
Compiling smbd/dosmode.c
Compiling smbd/filename.c
Compiling smbd/open.c
Compiling smbd/close.c
Compiling smbd/blocking.c
Compiling smbd/sec_ctx.c
Compiling smbd/vfs.c
Compiling smbd/vfs-wrap.c
Compiling smbd/statcache.c
Compiling smbd/posix_acls.c
Compiling lib/sysacls.c
Compiling smbd/process.c
Compiling smbd/service.c
Compiling smbd/error.c
Compiling printing/printfsp.c
Compiling lib/util_seaccess.c
Compiling libsmb/cli_pipe_util.c
Compiling msdfs/msdfs.c
Compiling param/loadparm.c
Compiling param/params.c
Compiling libsmb/clientgen.c
Compiling libsmb/cliconnect.c
Compiling libsmb/clifile.c
Compiling libsmb/clirap.c
Compiling libsmb/clierror.c
Compiling libsmb/climessage.c
Compiling libsmb/clireadwrite.c
Compiling libsmb/clilist.c
Compiling libsmb/cliprint.c
Compiling libsmb/clitrans.c
Compiling libsmb/clisecdesc.c
Compiling libsmb/clidgram.c
Compiling libsmb/namequery.c
Compiling libsmb/nmblib.c
Compiling libsmb/clistr.c
Compiling libsmb/nterr.c
Compiling libsmb/smbdes.c
Compiling libsmb/smbencrypt.c
Compiling libsmb/smberr.c
Compiling libsmb/credentials.c
Compiling libsmb/pwd_cache.c
Compiling libsmb/clioplock.c
Compiling libsmb/errormap.c
Compiling libsmb/doserr.c
Compiling libsmb/passchange.c
Compiling libsmb/unexpected.c
Compiling rpc_parse/parse_prs.c
Compiling rpc_parse/parse_sec.c
Compiling rpc_parse/parse_misc.c
Compiling libsmb/namecache.c
Compiling ubiqx/ubi_BinTree.c
Compiling ubiqx/ubi_Cache.c
Compiling ubiqx/ubi_SplayTree.c
Compiling ubiqx/ubi_dLinkList.c
Compiling ubiqx/ubi_sLinkList.c
Compiling ubiqx/debugparse.c
Compiling rpc_server/srv_lsa.c
Compiling rpc_server/srv_lsa_nt.c
Compiling rpc_server/srv_lsa_hnd.c
Compiling rpc_server/srv_netlog.c
Compiling rpc_server/srv_netlog_nt.c
Compiling rpc_server/srv_pipe_hnd.c
Compiling rpc_server/srv_reg.c
Compiling rpc_server/srv_reg_nt.c
Compiling rpc_server/srv_samr.c
Compiling rpc_server/srv_samr_nt.c
Compiling rpc_server/srv_srvsvc.c
Compiling rpc_server/srv_srvsvc_nt.c
Compiling rpc_server/srv_util.c
Compiling rpc_server/srv_wkssvc.c
Compiling rpc_server/srv_wkssvc_nt.c
Compiling rpc_server/srv_pipe.c
Compiling rpc_server/srv_dfs.c
Compiling rpc_server/srv_dfs_nt.c
Compiling rpc_server/srv_spoolss.c
Compiling rpc_server/srv_spoolss_nt.c
Compiling rpc_client/cli_spoolss_notify.c
Compiling rpc_parse/parse_lsa.c
Compiling rpc_parse/parse_net.c
Compiling rpc_parse/parse_reg.c
Compiling rpc_parse/parse_rpc.c
Compiling rpc_parse/parse_samr.c
Compiling rpc_parse/parse_srv.c
Compiling rpc_parse/parse_wks.c
Compiling rpc_parse/parse_spoolss.c
Compiling rpc_parse/parse_dfs.c
Compiling rpc_client/cli_netlogon.c
Compiling rpc_client/cli_pipe.c
Compiling rpc_client/cli_login.c
Compiling rpc_client/cli_trust.c
Compiling locking/locking.c
Compiling locking/brlock.c
Compiling locking/posix.c
Compiling passdb/passdb.c
Compiling passdb/secrets.c
passdb/secrets.c: In function `secrets_fetch':
passdb/secrets.c:59: warning: assignment discards qualifiers from pointer 
target type
passdb/secrets.c: In function `secrets_store':
passdb/secrets.c:74: warning: assignment discards qualifiers from pointer 
target type
passdb/secrets.c:76: warning: assignment discards qualifiers from pointer 
target type
passdb/secrets.c: In function `secrets_delete':
passdb/secrets.c:89: warning: assignment discards qualifiers from pointer 
target type
Compiling passdb/pass_check.c
Compiling passdb/smbpassfile.c
Compiling passdb/machine_sid.c
Compiling passdb/pdb_smbpasswd.c
Compiling passdb/pampass.c
Compiling passdb/pdb_tdb.c
Compiling passdb/pdb_ldap.c
Compiling passdb/pdb_nisplus.c
Compiling printing/pcap.c
Compiling printing/print_svid.c
Compiling printing/print_cups.c
Compiling printing/print_generic.c
Compiling printing/lpq_parse.c
Compiling printing/load.c
Compiling profile/profile.c
Compiling lib/charcnv.c
Compiling lib/charset.c
Compiling lib/debug.c
Compiling lib/fault.c
Compiling lib/getsmbpass.c
Compiling lib/interface.c
Compiling lib/kanji.c
Compiling lib/md4.c
Compiling lib/interfaces.c
Compiling lib/pidfile.c
Compiling lib/replace.c
Compiling lib/signal.c
Compiling lib/system.c
Compiling lib/sendfile.c
Compiling lib/time.c
Compiling lib/ufc.c
Compiling lib/genrand.c
Compiling lib/username.c
Compiling lib/util_getent.c
Compiling lib/access.c
Compiling lib/smbrun.c
Compiling lib/bitmap.c
Compiling lib/crc32.c
Compiling lib/snprintf.c
Compiling lib/wins_srv.c
Compiling lib/util_str.c
lib/util_str.c: In function `toktocliplist':
lib/util_str.c:104: warning: assignment discards qualifiers from pointer target 
type
Compiling lib/util_sid.c
Compiling lib/util_unistr.c
Compiling lib/util_file.c
Compiling lib/util.c
Compiling lib/util_sock.c
Compiling lib/util_sec.c
Compiling smbd/ssl.c
Compiling lib/talloc.c
Compiling lib/hash.c
Compiling lib/substitute.c
Compiling lib/fsusage.c
Compiling lib/ms_fnmatch.c
Compiling lib/select.c
Compiling lib/error.c
Compiling lib/messages.c
Compiling lib/pam_errors.c
Compiling nsswitch/wb_client.c
Compiling nsswitch/wb_common.c
Compiling tdb/tdb.c
Compiling tdb/spinlock.c
Compiling tdb/tdbutil.c
tdb/tdbutil.c: In function `tdb_chainlock_with_timeout':
tdb/tdbutil.c:46: warning: passing arg 1 of `tdb_set_lock_alarm' discards 
qualifiers from pointer target type
tdb/tdbutil.c: In function `tdb_lock_bystring':
tdb/tdbutil.c:73: warning: assignment discards qualifiers from pointer target 
type
tdb/tdbutil.c: In function `tdb_unlock_bystring':
tdb/tdbutil.c:87: warning: assignment discards qualifiers from pointer target 
type
tdb/tdbutil.c: In function `tdb_fetch_int32_byblob':
tdb/tdbutil.c:103: warning: assignment discards qualifiers from pointer target 
type
tdb/tdbutil.c: In function `tdb_store_int32_byblob':
tdb/tdbutil.c:134: warning: assignment discards qualifiers from pointer target 
type
tdb/tdbutil.c: In function `tdb_fetch_uint32_byblob':
tdb/tdbutil.c:162: warning: assignment discards qualifiers from pointer target 
type
tdb/tdbutil.c: In function `tdb_store_uint32_byblob':
tdb/tdbutil.c:194: warning: assignment discards qualifiers from pointer target 
type
tdb/tdbutil.c: In function `tdb_store_by_string':
tdb/tdbutil.c:224: warning: assignment discards qualifiers from pointer target 
type
tdb/tdbutil.c: In function `tdb_fetch_by_string':
tdb/tdbutil.c:242: warning: assignment discards qualifiers from pointer target 
type
Compiling printing/printing.c
Compiling printing/nt_printing.c
Compiling smbd/noquotas.c
Compiling smbd/oplock.c
Compiling smbd/oplock_irix.c
Compiling smbd/oplock_linux.c
Compiling smbd/notify.c
Compiling smbd/notify_hash.c
Compiling smbd/notify_kernel.c
Linking bin/smbd
Compiling nmbd/asyncdns.c
Compiling nmbd/nmbd.c
Compiling nmbd/nmbd_become_dmb.c
Compiling nmbd/nmbd_become_lmb.c
Compiling nmbd/nmbd_browserdb.c
Compiling nmbd/nmbd_browsesync.c
Compiling nmbd/nmbd_elections.c
Compiling nmbd/nmbd_incomingdgrams.c
Compiling nmbd/nmbd_incomingrequests.c
Compiling nmbd/nmbd_lmhosts.c
Compiling nmbd/nmbd_logonnames.c
Compiling nmbd/nmbd_mynames.c
Compiling nmbd/nmbd_namelistdb.c
Compiling nmbd/nmbd_namequery.c
Compiling nmbd/nmbd_nameregister.c
Compiling nmbd/nmbd_namerelease.c
Compiling nmbd/nmbd_nodestatus.c
Compiling nmbd/nmbd_packets.c
Compiling nmbd/nmbd_processlogon.c
Compiling nmbd/nmbd_responserecordsdb.c
Compiling nmbd/nmbd_sendannounce.c
Compiling nmbd/nmbd_serverlistdb.c
Compiling nmbd/nmbd_subnetdb.c
Compiling nmbd/nmbd_winsproxy.c
Compiling nmbd/nmbd_winsserver.c
Compiling nmbd/nmbd_workgroupdb.c
Compiling nmbd/nmbd_synclists.c
Linking bin/nmbd
Compiling web/cgi.c
Compiling web/diagnose.c
Compiling web/startstop.c
Compiling web/statuspage.c
Compiling web/swat.c
Linking bin/swat
Compiling client/client.c
Compiling client/clitar.c
Compiling lib/readline.c
Linking bin/smbclient
Compiling client/smbspool.c
Linking bin/smbspool
Compiling utils/testparm.c
Linking bin/testparm
Compiling utils/testprns.c
Linking bin/testprns
Compiling utils/status.c
Linking bin/smbstatus
Compiling utils/smbcontrol.c
Linking bin/smbcontrol
Compiling tdb/tdbbackup.c
Linking bin/tdbbackup
Compiling utils/make_printerdef.c
Linking bin/make_printerdef
Compiling utils/smbpasswd.c
Compiling libsmb/cli_lsarpc.c
Compiling libsmb/cli_samr.c
Linking bin/smbpasswd
Compiling utils/make_smbcodepage.c
Linking bin/make_smbcodepage
Compiling rpcclient/rpcclient.c
Compiling rpcclient/cmd_lsarpc.c
Compiling rpcclient/cmd_samr.c
Compiling rpcclient/cmd_spoolss.c
Compiling rpcclient/cmd_netlogon.c
Compiling rpcclient/cmd_srvsvc.c
Compiling rpcclient/cmd_dfs.c
Compiling rpcclient/cmd_reg.c
Compiling rpcclient/display_sec.c
Compiling libsmb/cli_spoolss.c
Compiling libsmb/cli_netlogon.c
Compiling libsmb/cli_srvsvc.c
Compiling libsmb/cli_dfs.c
Compiling libsmb/cli_reg.c
Linking bin/rpcclient
Compiling utils/make_unicodemap.c
Linking bin/make_unicodemap
Compiling utils/smbcacls.c
Linking bin/smbcacls
Compiling utils/nmblookup.c
Linking bin/nmblookup
Compiling nsswitch/wbinfo.c
Linking bin/wbinfo
Compiling nsswitch/winbindd.c
Compiling nsswitch/winbindd_user.c
Compiling nsswitch/winbindd_group.c
Compiling nsswitch/winbindd_idmap.c
Compiling nsswitch/winbindd_util.c
Compiling nsswitch/winbindd_cache.c
Compiling nsswitch/winbindd_pam.c
Compiling nsswitch/winbindd_sid.c
Compiling nsswitch/winbindd_misc.c
Compiling nsswitch/winbindd_cm.c
Compiling nsswitch/winbindd_wins.c
Compiling nsswitch/winbindd_rpc.c
Linking bin/winbindd
Compiling nsswitch/winbind_nss.c with -fPIC
Compiling nsswitch/wb_common.c with -fPIC
Linking nsswitch/libnss_winbind.so
=============================================================================
THE FOLLOWING IS MY /usr/local/samba/lib/smb.conf
[global]
   server string = CPNB's Linux/Samba %v Science Server.
   netbios name = TANTALUS
;   max disk size = 10
   debug level = 0
   domain master = yes
   preferred master = yes
   wins support = yes
   nt acl support = yes
   domain logons = yes
   logon script = DOMAIN.BAT %U %m
   logon drive = r:
   null passwords = no
   min password length = 8
   unix password sync = true
   passwd chat = *New*password* %n\n *new*password* %n\n *changed*
   passwd program = /usr/bin/passwd.linux %u
   dos filetime resolution = yes
   fake directory create times = yes
; Win all browse master elections
   os level = 65
; Lose all browse master elections
;   os level = 1
   workgroup = CBRND_CENTRE
   encrypt passwords = yes
   security = user
;   security = domain
;   password server = A8APPSV3
;   security = SHARE
; protocol options are CORE, COREPLUS, LANMAN1, LANMAN2, NT1. Default is NT1
   protocol = NT1
   public = yes
   allow trusted domains = no
   hide dot files = yes
   load printers = no
   printing = BSD
   printcap name = /etc/printcap
   print command = /usr/bin/lpr -h -r -P %p %s
   lpq command = /usr/bin/lpq %p
   lprm command = /usr/bin/lprm -P %p %j
   lppause command = /usr/bin/lpc down %p
   lpresume command = /usr/bin/lpc up %p; /usr/bin/lpc start %p
   mangled names = no
   preserve case = yes
   short preserve case = yes
;   case sensitive = yes
   guest account = guest
   map to guest = Never
   read size = 1500
   lpq cache time = 5
   socket options = SO_KEEPALIVE TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
;
;   Disconnect after 12 Hours inactivity
   deadtime = 720
;   Never disconnect due to inactivity
;   deadtime = 0
;
;  This next option sets a separate log file for each client. Remove
;  it if you want a combined log file.
;   log file = /usr/local/samba/var/log.smb.%U

;  You will need a world readable lock directory and "share modes=yes"
;  if you want to support the file sharing modes for multiple users
;  of the same files
   lock directory = /usr/local/samba/locks
   share modes = yes
   strict locking = yes
   csc policy = programs

; This section makes their home directory available to all account holders
[homes]
   comment = Home Directory
   public = no
   guest ok = no
   browseable = no
   writeable = yes
   printable = no
   veto files 
=/.profile/Desktop/.Xauthority/.Xdefaults/.Xmodmap/.bash_history/.bash_login/.di
r_colors/.fvwm2rc/.kde/.kderc/.kermrc/.kss-
install.pid.Tantalus/.less/.lesskey/.lessrc/.login/.login.flg/.mc/.mc.ini/.mc.tr
ee/.netscape/.samba.login/.samba.logout/.netscape/.seyon/.term/.wmrc/.xinitrc/.x
session/.xsession-errors/xinitrc.twm/xsession.twm/
   create mode = 0600
   oplocks = no
   root preexec = /usr/local/samba/bin/scripts/login.sh "%u" "%m" "%I" "%d" "%
T" dummy
   root postexec = /usr/local/samba/bin/scripts/logout.sh "%u" "%m" "%I" "%d" "%
T" dummy

[netlogon]
   comment = Share to support domain logins
   path = /usr/local/samba/netlogon
   browseable = no
   public = yes
   printable = no
   writeable = no
   fake oplocks = no
   locking = no
   share modes = no
   strict locking = no
   root preexec = /usr/local/samba/bin/scripts/login.sh "%u" "%m" "%I" "%d" "%
T" dummy

[maint.net]
   comment = Share to support maintenance of domain logins
   path = /usr/local/samba/netlogon
   browseable = no
   public = no
   printable = no
   writeable = yes
   fake oplocks = no
   locking = no
   share modes = no
   strict locking = no
   users = admin,sandersp

[printers]
   comment = All Printers
   path = /tmp
   browseable = no
   printable = yes
   writable = no
   public = yes
   create mode = 0666

; This section makes a private printer available
[Deskjet]
   comment = Served Deskjet 500 Printer
   path = /tmp
   browseable = no
   writable = no
   printable = yes
   users = sanders, lau
   printer name = sp
   create mode = 0600

[Backup]
   comment = A Share for backup purposes
   path = /home
   veto files 
=/.profile/Desktop/.Xauthority/.Xdefaults/.Xmodmap/.bash_history/.bash_login/.di
r_colors/.fvwm2rc/.kde/.kderc/.kermrc/.kss-
install.pid.Tantalus/.less/.lesskey/.lessrc/.login/.login.flg/.mc/.mc.ini/.mc.tr
ee/.netscape/.samba.login/.samba.logout/.netscape/.seyon/.term/.wmrc/.xinitrc/.x
session/.xsession-errors/xinitrc.twm/xsession.twm/
   dont descend = dev proc mnt/cdrom
   browseable = no
   read only = yes
   fake oplocks = no
   follow symlinks = no
   public = no
   printable = no
   share modes = no
   locking = no
   strict locking = no
   users = sanders, root, backup
   force user = root

; A publicly accessible directory, but read only.
[Public]
   comment = Public Read-Only Access to CPNB Files.
   force user = guest
   path = /PUB
   public = yes
   writable = no
   fake oplocks = true
   printable = no
   share modes = no
   locking = no
   strict locking = no

; Read-write access to the above public directory for maintenance.
[Maint.pub]
   comment = Maintenance Read-Write Access to CPNB Files.
   path = /PUB
   public = no
   browseable = no
   writable = yes
   create mode = 0755
   printable = no
   share modes = yes
   locking = yes
   oplocks = yes
   strict locking = yes
   users = sanders

; A publicly accessible CDROM drive
[CDROM]
   comment = Publicly accessible CDROM drive
   force user = guest
   path = /mnt/hdd
   public = yes
   writable = no
   fake oplocks = yes
   printable = no
   share modes = no
   locking = no
   strict locking = no

; A public, connection-limited share for networked Reference Manager
[WinRM8n]
   comment = Networked Reference Manager
   max connections = 5
   path = /mnt/sda1/share/WinRM8N
   public = yes
   browseable = no
   writable = no
   read only = yes
   fake oplocks = true
   printable = no
   share modes = no
   locking = no
   strict locking = no

[Maint.RM8]
   comment = Maintenance Read-Write Access to Reference Manager Executables.
   path = /mnt/sda1/share/WinRM8N
   browseable = no
   public = no
   printable = no
   writeable = yes
   locking = yes
   share modes = yes
   strict locking = yes
   create mode = 0755
   users = sanders

; One-user access to large hard disk.
[Bigdrive]
   comment = 18Gbyte Partition
   path = /mnt/sda1/share
   users = sanders
   browseable = no
   public = no
   read only = no
   writeable = yes
   share modes = yes
   locking = yes
   strict locking = yes
   printable = no
   write list = sanders
   create mode = 0755

; Private access to the floppy drive
[Floppy]
   comment = Private acess to A:
   path = /mnt/floppy
   browseable = no
   public = no
   writable = yes
   locking = yes
   strict locking = yes
   share modes = yes
   oplocks = no
   printable = no
   users = sanders

[IPC$]
   path = /tmp
   browseable = no
   public = yes
   locking = no
   oplocks = no
   guest ok = yes
   printable = no
Comment 1 Gerald (Jerry) Carter 2004-02-17 08:56:05 UTC
Sorry, but the 2.2 is not under development any longer.
If you can reproduce this bug against the latest 3.0 release, 
please reopen this bug and change the version in the report.
Thanks.
Comment 2 Gerald (Jerry) Carter 2005-11-14 09:30:30 UTC
database cleanup